Upstream information

CVE-2016-5584 at MITRE

Description

Unspecified vulnerability in Oracle MySQL 5.5.52 and earlier, 5.6.33 and earlier, and 5.7.15 and earlier allows remote administrators to affect confidentiality via vectors related to Server: Security: Encryption.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.5 4.9
Vector AV:N/AC:M/Au:S/C:P/I:N/A:N AV:N/AC:H/Au:S/C:C/I:N/A:N
Access Vector Network Network
Access Complexity Medium High
Authentication Single Single
Confidentiality Impact Partial Complete
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 4.4
Vector CVSS:3.0/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity High
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entries: 1005558 [RESOLVED / FIXED], 1008318 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/salt-master:beta1
Container caasp/v4/velum:4.0.0
  • libmysqlclient18 >= 10.0.28-17.2
SUSE Linux Enterprise Desktop 12 SP1
  • libmysqlclient18 >= 10.0.28-17.2
  • libmysqlclient18-32bit >= 10.0.28-17.2
  • libmysqlclient_r18 >= 10.0.28-17.2
  • libmysqlclient_r18-32bit >= 10.0.28-17.2
  • mariadb >= 10.0.28-17.2
  • mariadb-client >= 10.0.28-17.2
  • mariadb-errormessages >= 10.0.28-17.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1717
SUSE Linux Enterprise Desktop 12 SP2
  • libmysqlclient18 >= 10.0.28-17.2
  • libmysqlclient18-32bit >= 10.0.28-17.2
  • libmysqlclient_r18 >= 10.0.28-17.2
  • libmysqlclient_r18-32bit >= 10.0.28-17.2
  • mariadb >= 10.0.28-17.2
  • mariadb-client >= 10.0.28-17.2
  • mariadb-errormessages >= 10.0.28-17.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2016-1717
SUSE Linux Enterprise Desktop 12 SP3
  • libmysqlclient18 >= 10.0.30-28.1
  • libmysqlclient18-32bit >= 10.0.30-28.1
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqlclient_r18-32bit >= 10.0.30-28.1
  • mariadb >= 10.0.30-28.1
  • mariadb-client >= 10.0.30-28.1
  • mariadb-errormessages >= 10.0.30-28.1
SUSE Linux Enterprise Desktop 12 SP4
  • libmysqlclient18 >= 10.0.35-1.7
  • libmysqlclient18-32bit >= 10.0.35-1.7
  • libmysqlclient_r18 >= 10.0.35-1.7
  • libmysqlclient_r18-32bit >= 10.0.35-1.7
  • mariadb >= 10.2.18-1.7
  • mariadb-100-errormessages >= 10.0.35-1.7
  • mariadb-client >= 10.2.18-1.7
  • mariadb-errormessages >= 10.2.18-1.7
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libmysqlclient18 >= 10.0.40.1-2.9.1
  • libmysqlclient18-32bit >= 10.0.40.1-2.9.1
  • mariadb >= 10.2.25-3.19.2
  • mariadb-100-errormessages >= 10.0.40.1-2.9.1
  • mariadb-client >= 10.2.25-3.19.2
  • mariadb-errormessages >= 10.2.25-3.19.2
  • mariadb-tools >= 10.2.25-3.19.2
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • libmysqld-devel >= 10.2.22-3.14.1
  • libmysqld19 >= 10.2.22-3.14.1
  • mariadb >= 10.2.22-3.14.1
  • mariadb-client >= 10.2.22-3.14.1
  • mariadb-errormessages >= 10.2.22-3.14.1
  • mariadb-tools >= 10.2.22-3.14.1
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • libmariadbd-devel >= 10.4.13-1.1
  • libmariadbd19 >= 10.4.13-1.1
  • mariadb >= 10.4.13-1.1
  • mariadb-client >= 10.4.13-1.1
  • mariadb-errormessages >= 10.4.13-1.1
  • mariadb-tools >= 10.4.13-1.1
SUSE Linux Enterprise Module for Server Applications 15
  • libmysqld-devel >= 10.2.15-1.3
  • libmysqld19 >= 10.2.15-1.3
  • mariadb >= 10.2.15-1.3
  • mariadb-client >= 10.2.15-1.3
  • mariadb-errormessages >= 10.2.15-1.3
  • mariadb-tools >= 10.2.15-1.3
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libmysql55client18 >= 5.5.53-0.30.1
  • libmysql55client18-32bit >= 5.5.53-0.30.1
  • libmysql55client18-x86 >= 5.5.53-0.30.1
  • libmysql55client_r18 >= 5.5.53-0.30.1
  • libmysql55client_r18-32bit >= 5.5.53-0.30.1
  • libmysql55client_r18-x86 >= 5.5.53-0.30.1
  • mysql >= 5.5.53-0.30.1
  • mysql-client >= 5.5.53-0.30.1
  • mysql-tools >= 5.5.53-0.30.1
Patchnames:
slessp4-mysql-12847
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libmysqlclient18 >= 10.0.28-17.2
  • libmysqlclient18-32bit >= 10.0.28-17.2
  • mariadb >= 10.0.28-17.2
  • mariadb-client >= 10.0.28-17.2
  • mariadb-errormessages >= 10.0.28-17.2
  • mariadb-tools >= 10.0.28-17.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1717
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libmysqlclient18 >= 10.0.28-17.2
  • libmysqlclient18-32bit >= 10.0.28-17.2
  • mariadb >= 10.0.28-17.2
  • mariadb-client >= 10.0.28-17.2
  • mariadb-errormessages >= 10.0.28-17.2
  • mariadb-tools >= 10.0.28-17.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1717
SUSE Linux Enterprise Server 12 SP3
  • libmysqlclient18 >= 10.0.30-28.1
  • libmysqlclient18-32bit >= 10.0.30-28.1
  • mariadb >= 10.0.30-28.1
  • mariadb-client >= 10.0.30-28.1
  • mariadb-errormessages >= 10.0.30-28.1
  • mariadb-tools >= 10.0.30-28.1
SUSE Linux Enterprise Server 12 SP4
  • libmysqlclient18 >= 10.0.35-1.7
  • libmysqlclient18-32bit >= 10.0.35-1.7
  • mariadb >= 10.2.18-1.7
  • mariadb-100-errormessages >= 10.0.35-1.7
  • mariadb-client >= 10.2.18-1.7
  • mariadb-errormessages >= 10.2.18-1.7
  • mariadb-tools >= 10.2.18-1.7
SUSE Linux Enterprise Server 12-LTSS
  • libmysqlclient-devel >= 10.0.28-20.16.2
  • libmysqlclient18 >= 10.0.28-20.16.2
  • libmysqlclient18-32bit >= 10.0.28-20.16.2
  • libmysqlclient_r18 >= 10.0.28-20.16.2
  • libmysqld-devel >= 10.0.28-20.16.2
  • libmysqld18 >= 10.0.28-20.16.2
  • mariadb >= 10.0.28-20.16.2
  • mariadb-client >= 10.0.28-20.16.2
  • mariadb-errormessages >= 10.0.28-20.16.2
  • mariadb-tools >= 10.0.28-20.16.2
Patchnames:
SUSE-SLE-SERVER-12-2016-1718
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libmysqlclient18 >= 10.0.28-17.2
  • mariadb >= 10.0.28-17.2
  • mariadb-client >= 10.0.28-17.2
  • mariadb-errormessages >= 10.0.28-17.2
  • mariadb-tools >= 10.0.28-17.2
Patchnames:
SUSE-SLE-RPI-12-SP2-2016-1717
SUSE Linux Enterprise Server for SAP Applications 12
  • libmysqlclient-devel >= 10.0.28-20.16.2
  • libmysqlclient18 >= 10.0.28-20.16.2
  • libmysqlclient18-32bit >= 10.0.28-20.16.2
  • libmysqlclient_r18 >= 10.0.28-20.16.2
  • libmysqld-devel >= 10.0.28-20.16.2
  • libmysqld18 >= 10.0.28-20.16.2
  • mariadb >= 10.0.28-20.16.2
  • mariadb-client >= 10.0.28-20.16.2
  • mariadb-errormessages >= 10.0.28-20.16.2
  • mariadb-tools >= 10.0.28-20.16.2
Patchnames:
SUSE-SLE-SAP-12-2016-1718
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.53-0.30.1
  • libmysql55client_r18-x86 >= 5.5.53-0.30.1
Patchnames:
sdksp4-mysql-12847
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libmysqlclient-devel >= 10.0.28-17.2
  • libmysqlclient_r18 >= 10.0.28-17.2
  • libmysqld-devel >= 10.0.28-17.2
  • libmysqld18 >= 10.0.28-17.2
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1717
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libmysqlclient-devel >= 10.0.28-17.2
  • libmysqlclient_r18 >= 10.0.28-17.2
  • libmysqld-devel >= 10.0.28-17.2
  • libmysqld18 >= 10.0.28-17.2
Patchnames:
SUSE-SLE-SDK-12-SP2-2016-1717
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libmysqlclient-devel >= 10.0.30-28.1
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqld-devel >= 10.0.30-28.1
  • libmysqld18 >= 10.0.30-28.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libmysqlclient-devel >= 10.0.35-1.7
  • libmysqlclient_r18 >= 10.0.35-1.7
  • libmysqld-devel >= 10.0.35-1.7
  • libmysqld18 >= 10.0.35-1.7
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libmysqlclient-devel >= 10.0.40.1-2.9.1
  • libmysqlclient_r18 >= 10.0.40.1-2.9.1
  • libmysqld-devel >= 10.0.40.1-2.9.1
  • libmysqld18 >= 10.0.40.1-2.9.1
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libmysqlclient_r18 >= 10.0.28-17.2
  • libmysqlclient_r18-32bit >= 10.0.28-17.2
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1717
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libmysqlclient_r18 >= 10.0.28-17.2
  • libmysqlclient_r18-32bit >= 10.0.28-17.2
Patchnames:
SUSE-SLE-WE-12-SP2-2016-1717
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqlclient_r18-32bit >= 10.0.30-28.1
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libmysqlclient_r18 >= 10.0.35-1.7
  • libmysqlclient_r18-32bit >= 10.0.35-1.7
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libmysqlclient_r18 >= 10.0.40.1-2.9.1
  • libmysqlclient_r18-32bit >= 10.0.40.1-2.9.1
openSUSE Leap 15.0
  • libmysqld19 >= 10.2.14-lp150.1.1
  • mariadb >= 10.2.14-lp150.1.1
  • mariadb-client >= 10.2.14-lp150.1.1
  • mariadb-errormessages >= 10.2.14-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libmysqld19
openSUSE Tumbleweed
  • libmysql56client18 >= 5.6.34-1.1
  • libmysql56client18-32bit >= 5.6.34-1.1
  • libmysql56client_r18 >= 5.6.34-1.1
  • libmysql56client_r18-32bit >= 5.6.34-1.1
  • mysql-community-server >= 5.6.34-1.1
  • mysql-community-server-bench >= 5.6.34-1.1
  • mysql-community-server-client >= 5.6.34-1.1
  • mysql-community-server-errormessages >= 5.6.34-1.1
  • mysql-community-server-test >= 5.6.34-1.1
  • mysql-community-server-tools >= 5.6.34-1.1
Patchnames:
openSUSE Tumbleweed GA libmysql56client18-32bit


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 SP5 mariadb-100 Already fixed
SUSE Linux Enterprise Server 12 SP4 ESPOS mariadb-100 Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS mariadb-100 Already fixed
SUSE Linux Enterprise Server 12 SP5 mariadb-100 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb-100 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mariadb-100 Already fixed
SUSE Linux Enterprise Workstation Extension 12 mariadb-100 Already fixed
SUSE OpenStack Cloud 9 mariadb-100 Already fixed
SUSE OpenStack Cloud Crowbar 9 mariadb-100 Already fixed